JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.buffer
Class SubgraphDepthLocater

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.SubgraphDepthLocater

    public class SubgraphDepthLocater

extends java.lang.Object

Locates a subgraph inside a set of subgraphs, in order to determine the outside depth of the subgraph. The input subgraphs are assumed to have had depths already calculated for their edges.

Version:
  1.7

Constructor Summary
`SubgraphDepthLocater(java.util.List subgraphs)`

Method Summary
`int` `getDepth(Coordinate p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubgraphDepthLocater

    public SubgraphDepthLocater(java.util.List subgraphs)

Method Detail

### getDepth

    public int getDepth(Coordinate p)

JTS Topology Suite version 1.13